# alert push destinations — NCM API

The HTTP destinations NetCloud Manager delivers alert notifications to, meaning the webhook receivers behind your integrations. Full lifecycle: list, create, patch and delete destination configurations. Use test alert push destination to confirm one is reachable before wiring an alert rule to it.

Base URL: https://www.cradlepointecm.com/api/v2

### GET /alert_push_destinations/

Get information about alert_push_destinations

<p>This method retrieves information about your Alert Push Destinations.</p>

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |
| destination_config_id | query | timeuuid | no | Unique ID of an Alert Push Destination |
| limit | query | integer | no | Restricts the number of records returned in a recordset to this value. Max value is 500. |

**Example request**

```bash
curl "https://www.cradlepointecm.com/api/v2/alert_push_destinations/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>"
```

**Response 200** — Example response.

```json
{
  "data": [
    {
      "account": "https://www.cradlepointecm.com/api/v2/accounts/<account number>/",
      "authentication": {
        "secret": "*"
      },
      "destination_config_id": "4d75218a-665a-11eb-9aa9-42edcb7bf284",
      "enabled": true,
      "endpoint": {
        "url": "https://example.com.com"
      },
      "last_error_at": null,
      "last_error_text": null,
      "name": "mypushexample",
      "suspended": false,
      "updated_at": "2021-02-03T19:59:19.754418%2B00:00"
    }
  ],
  "meta": {
    "limit": 20,
    "next": null
  }
}
```

### POST /alert_push_destinations/

Create an alert_push_destinations record

<p>This operation creates a new Alert Push Destination.</p>

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |

**Request body**

**Example request**

```bash
curl -X POST "https://www.cradlepointecm.com/api/v2/alert_push_destinations/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```

**Response 200** — Example response.

```json
{
  "account": "https://www.cradlepointecm.com/api/v2/accounts/<account number>/",
  "authentication": {
    "secret": "*"
  },
  "destination_config_id": "4d75218a-665a-11eb-9aa9-42edcb7bf284",
  "enabled": true,
  "endpoint": {
    "url": "https://example.com.com"
  },
  "last_error_at": null,
  "last_error_text": null,
  "name": "mypushexample",
  "resource_url": "https://www.cradlepointecm.com/api/v2/alert_push_destinations/",
  "suspended": false,
  "updated_at": "2021-02-03T19:59:19.754418%2B00:00"
}
```

### PATCH /alert_push_destinations/{destination_config_id}/

Update an alert_push_destinations record

<p>This operation updates an Alert Push Destination.</p>

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |
| destination_config_id | path | timeuuid | yes | Unique ID of an Alert Push Destination |

**Request body**

**Example request**

```bash
curl -X PATCH "https://www.cradlepointecm.com/api/v2/alert_push_destinations/{destination_config_id}/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```

**Response 200** — No response was specified

### DELETE /alert_push_destinations/{destination_config_id}/

Delete an alert_push_destinations record

<p>This operation deletes an account.</p>

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |
| destination_config_id | path | timeuuid | yes | Object ID of Alert Push Destination to delete |

**Example request**

```bash
curl -X DELETE "https://www.cradlepointecm.com/api/v2/alert_push_destinations/{destination_config_id}/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>"
```

**Response 200** — No response was specified
